# 顶层配置
mixed-port: 7890
allow-lan: false
bind-address: '*'
mode: rule
log-level: info
ipv6: false

# DNS 配置
dns:
  enable: true
  listen: 0.0.0.0:53
  enhanced-mode: fake-ip
  nameserver:
    - 114.114.114.114
    - 223.5.5.5
    - 8.8.8.8

# 代理配置
proxies:
  - name: "VLESS-WS-TLS"
    type: vless
    server: kr.likedeep.com
    port: 10001
    uuid: 5e6b6b24-5271-4ff1-9a83-d75ef3abb91b
    network: ws
    tls: true
    udp: true
    sni: kr.likedeep.com
    ws-opts:
      path: /websocket

# 代理组配置
proxy-groups:
  - name: "PROXY"
    type: select
    proxies:
      - VLESS-WS-TLS
      - DIRECT

  - name: "GlobalMedia"
    type: select
    proxies:
      - PROXY
      - DIRECT

# 规则配置
rules:
  - DOMAIN-SUFFIX,google.com,PROXY
  - DOMAIN-SUFFIX,netflix.com,GlobalMedia
  - DOMAIN-SUFFIX,spotify.com,GlobalMedia
  - GEOIP,CN,DIRECT
  - MATCH,PROXY
